﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace compdfkit_tools.PDFControl
{
    /// <summary>
    /// StatusSelectorBarControl.xaml 的交互逻辑
    /// </summary>
    public partial class ModeSelectorBarControl : UserControl
    {
        private bool _botaBarIsShowing;
        public bool BOTABarIsShowing
        {
            get => _botaBarIsShowing;
            set => _botaBarIsShowing = value;
        }

        /// <summary>
        /// 展示BOTA bar
        /// </summary>
        public event EventHandler ShowBOTAEvent;

        public event EventHandler ShowPropertyPanelEvent;

        /// <summary>
        /// 修改选中状态
        /// </summary>
        public event EventHandler<string> ChangeStatusEvent;

        public ModeSelectorBarControl()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private void BotaToggleButton_Click(object sender, RoutedEventArgs e)
        {
            ShowBOTAEvent?.Invoke(this, EventArgs.Empty);
        }

        private void ModeComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ChangeStatusEvent?.Invoke(this, (sender as ComboBox).SelectedItem.ToString());
        }

        private void RightControlToggleButton_Click(object sender, RoutedEventArgs e)
        {
            ShowPropertyPanelEvent?.Invoke(this, EventArgs.Empty);
        }
    }
}
