﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace compdfkit_tools.Common
{
    /// <summary>
    /// CPDFArrowControl.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFArrowUI : UserControl, INotifyPropertyChanged
    {
        public event EventHandler ArrowChanged;
        public event PropertyChangedEventHandler PropertyChanged;

        private int _selectedIndex = 1;
        public int SelectedIndex
        {
            get
            {
                return _selectedIndex;
            }
            set
            {
                _selectedIndex = value;
                OnPropertyChanged(nameof(SelectedIndex));
                OnArrowChanged();
            }
        }

        public CPDFArrowUI()
        {
            InitializeComponent();
            this.DataContext = this;  
        }

        private void OnArrowChanged()
        {
            ArrowChanged?.Invoke(this, EventArgs.Empty);
        }

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
