﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace compdfkit_tools.Common
{
    /// <summary>
    /// CPDFBorderWidthUI.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFThicknessUI : UserControl, INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public event EventHandler ThicknessChanged;

        private int _thickness = 1;
        public int Thickness
        {
            get
            {
                return _thickness;
            }
            set
            {
                _thickness = value;
                OnPropertyChanged(nameof(Thickness));
                OnThicknessChanged();
            }
        }

        public CPDFThicknessUI()
        {
            InitializeComponent();
            this.DataContext = this;
            InitPresetNumberArray();
        }

        public void InitPresetNumberArray()
        {
            List<int> list = new List<int>();
            list.Add(1);
            list.Add(3);
            list.Add(6);
            list.Add(9);
            list.Add(12);
            list.Add(16);
            DropDownNumberBoxControl.InitPresetNumberArray(list);
        }

        private void OnThicknessChanged()
        {
            ThicknessChanged?.Invoke(this, EventArgs.Empty);
        }

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
